> For the complete documentation index, see [llms.txt](https://docs.frends.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.frends.com/reference/frends-platform-api/platform-api-reference/tags.md).

# Tags

## GET /api/v1/tags

> Get Tags for many elements i.e. a Processes, ProcessTemplates etc.

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"Tags"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/tags":{"get":{"tags":["Tags"],"summary":"Get Tags for many elements i.e. a Processes, ProcessTemplates etc.","parameters":[{"name":"elementIdentifiers","in":"query","description":"Element unique identifiers","schema":{"type":"array","items":{"type":"string","format":"uuid"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfDictionaryOfGuidAndListOfstring"}}}}}}}},"components":{"schemas":{"ResponseOfDictionaryOfGuidAndListOfstring":{"required":["data"],"type":"object","properties":{"data":{"type":["null","object"],"additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Response data"}}}}}}
```

## PUT /api/v1/tags

> Overwrite tags for a Frends element.

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"Tags"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/tags":{"put":{"tags":["Tags"],"summary":"Overwrite tags for a Frends element.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagRequestModel"}}},"required":true},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request"}}}}},"components":{"schemas":{"TagRequestModel":{"type":"object","properties":{"elementType":{"description":"Element type i.e. Process, ProcessTemplate, PrivateApplication, ApiPolicy","$ref":"#/components/schemas/TagElementType"},"tags":{"type":"array","items":{"type":"string"},"description":"List of tags"},"elementGuids":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of element unique identifiers"}}},"TagElementType":{"enum":["Process","ProcessTemplate","PrivateApplication","ApiPolicy"]}}}}
```

## DELETE /api/v1/tags

> Delete tags from specified Frends elements.

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"Tags"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/tags":{"delete":{"tags":["Tags"],"summary":"Delete tags from specified Frends elements.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagRequestModel"}}},"required":true},"responses":{"204":{"description":"No Content"}}}}},"components":{"schemas":{"TagRequestModel":{"type":"object","properties":{"elementType":{"description":"Element type i.e. Process, ProcessTemplate, PrivateApplication, ApiPolicy","$ref":"#/components/schemas/TagElementType"},"tags":{"type":"array","items":{"type":"string"},"description":"List of tags"},"elementGuids":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of element unique identifiers"}}},"TagElementType":{"enum":["Process","ProcessTemplate","PrivateApplication","ApiPolicy"]}}}}
```

## PATCH /api/v1/tags

> Add tags to a Frends element.

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"Tags"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/tags":{"patch":{"tags":["Tags"],"summary":"Add tags to a Frends element.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagRequestModel"}}},"required":true},"responses":{"204":{"description":"No Content"}}}}},"components":{"schemas":{"TagRequestModel":{"type":"object","properties":{"elementType":{"description":"Element type i.e. Process, ProcessTemplate, PrivateApplication, ApiPolicy","$ref":"#/components/schemas/TagElementType"},"tags":{"type":"array","items":{"type":"string"},"description":"List of tags"},"elementGuids":{"type":"array","items":{"type":"string","format":"uuid"},"description":"List of element unique identifiers"}}},"TagElementType":{"enum":["Process","ProcessTemplate","PrivateApplication","ApiPolicy"]}}}}
```

## GET /api/v1/tags/{elementType}

> Get all Tags for an element type i.e. a Process, ProcessTemplate etc.

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"Tags"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/tags/{elementType}":{"get":{"tags":["Tags"],"summary":"Get all Tags for an element type i.e. a Process, ProcessTemplate etc.","parameters":[{"name":"elementType","in":"path","description":"Element type","required":true,"schema":{"$ref":"#/components/schemas/TagElementType"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfDictionaryOfGuidAndListOfstring"}}}}}}}},"components":{"schemas":{"TagElementType":{"enum":["Process","ProcessTemplate","PrivateApplication","ApiPolicy"]},"ResponseOfDictionaryOfGuidAndListOfstring":{"required":["data"],"type":"object","properties":{"data":{"type":["null","object"],"additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Response data"}}}}}}
```

## DELETE /api/v1/tags/{elementGuid}

> Delete all tags from a Frends element.

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"Tags"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/tags/{elementGuid}":{"delete":{"tags":["Tags"],"summary":"Delete all tags from a Frends element.","parameters":[{"name":"elementGuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.frends.com/reference/frends-platform-api/platform-api-reference/tags.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
